PDA

View Full Version : Issue with fragment programs 2 and 8800



thebigben
04-24-2007, 03:36 AM
I am using an NVidia assembly fragment program that starts
with
!!fp2.0
The program can easily be loaded on 6800 or 7600 GT cards (regular computer with XP) and does its job. However, it seems that the drivers on our new computer (intel quadcore, 8800 GTX, XP64, 4 GB) fail doing so, pointing out the first line of our code (fp2.0 statement).
I am not sure whether fp2.0 is really part of the language, since I cannot find it in the NVidia extension manual.
Cheers

Relic
04-24-2007, 04:27 AM
That looks bogus.

If you want to use NV_fragment_program2, that is an extension on top of ARB_fragment_program.
Here's the spec:
http://www.opengl.org/registry/specs/NV/fragment_program2.txt

This extension, like the NV_fragment_program_option extension, provides
additional fragment program functionality to extend the standard
ARB_fragment_program language and execution environment. ARB programs
wishing to use this added functionality need only add:

OPTION NV_fragment_program2;

to the beginning of their fragment programs.

knackered
04-24-2007, 08:23 AM
I've noticed that recent nvidia drivers have become much stricter. Which is a good thing.

Jackis
04-24-2007, 09:45 AM
Yes, I've noticed quite the same )

Especially, I was very surprised, when our terrain suddenly began to flicker like a mad. The problem was uninitialized temporary registers, which are zero by default on NV_vertex_program, and undefined on ARV_vertex_program (even with NV option string). And it is said so in the specification!

thebigben
04-26-2007, 03:36 AM
Thanks a lot for you answers.
Well I am not sure new drivers are really getting
that good, but I will try to sort something out.